/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 */

/*
 * $Id: CheckBoxUIBean.java 62525 2011-04-15 12:14:31Z dougd $
 */

package com.sun.ts.tests.jsf.spec.render.booleancheckbox;

import javax.faces.component.html.HtmlSelectBooleanCheckbox;

public class CheckBoxUIBean {

    private HtmlSelectBooleanCheckbox yesno;

    public HtmlSelectBooleanCheckbox getYesno() {
        return yesno;
    }

    public void setYesno(HtmlSelectBooleanCheckbox yesno) {
        yesno.setDisabled(true);
        yesno.setTitle("yes&no");
        yesno.setStyleClass("text");
        
        this.yesno = yesno;
    }

}
